JTS Topology Suite - v 1.12

## com.vividsolutions.jts.io
Class OutputStreamOutStream

    java.lang.Object
      com.vividsolutions.jts.io.OutputStreamOutStream

All Implemented Interfaces:
  OutStream

    public class OutputStreamOutStream

extends java.lang.Object
implements OutStream

An adapter to allow an `OutputStream` to be used as an `OutStream`

Constructor Summary
`OutputStreamOutStream(java.io.OutputStream os)`

Method Summary
`void` `write(byte[] buf, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputStreamOutStream

    public OutputStreamOutStream(java.io.OutputStream os)

Method Detail

### write

    public void write(byte[] buf,
                      int len)
               throws java.io.IOException

  Specified by:
    `write` in interface `OutStream`
  Throws:
    `java.io.IOException`

JTS Topology Suite - v 1.12